<?php
/**
 * The entry point of the plugin.
 *
 * @package Shelfy plugin
 * @wordpress-plugin
 * Plugin Name:       Shelfy - Mobile App Builder
 * Description:       Build fast mobile apps that you control — no coding is required.
 * Version:           1.0.5
 * Stable tag:        1.0.5
 * WC requires at least: 5.0
 * WC tested up to: 6.7
 * Requires at least: 5.8
 * Author:            Shelfy.io
 * Author URI:        https://shelfy.io/
 * License:           GPL-2.0+
 * Requires PHP:      7.3
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'SHELFY_VERSION', '1.0.5' );
define( 'SHELFY_MAIN_PLUGIN_FILE', __FILE__ );
define( 'SHELFY_REQUIRED_WOOCOMMERCE_VERSION', '5.8.0' );
define( 'SHELFY_BACKEND_BASE_URL', 'https://woocommerce-prd.shelfytech.com' );
define( 'SHELFY_FRONTEND_BASE_URL', 'https://shelfyconsole.io' );
define( 'SHELFY_WEBHOOKS_NAME', 'Shelfy webhook subscription - DO NOT DELETE' );
/**
 * NOTE (ItzikSn):
 * SHELFY_REST_API_NAMESPACE has to contain 'wc-' for woocommerce to authenticate incoming requests
 */
define( 'SHELFY_REST_API_NAMESPACE', 'wc-shelfy' );

/**
 * The core plugin class that is used to define
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-shelfy.php';

/**
 * The entry point of the plugin
 */
function shelfy_run() {
	$plugin = new Shelfy();
	$plugin->run();
	register_activation_hook( __FILE__, array( $plugin, 'activate' ) );
	register_deactivation_hook( __FILE__, array( $plugin, 'deactivate' ) );
}

shelfy_run();
